


<h1><a name="make" id="make">Make</a></h1>
<div class="level1">

<p>

<a href="http://www.gnu.org/software/make/" class="urlextern" title="http://www.gnu.org/software/make/"  rel="nofollow">Make</a>: <a href="http://en.wikipedia.org/wiki/Make_(software)" class="interwiki iw_wp" title="http://en.wikipedia.org/wiki/Make_(software)">Make</a>
</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Make" [1-93] -->
<h2><a name="smart_makefile" id="smart_makefile">Smart Makefile</a></h2>
<div class="level2">

<p>

<a href="http://www-etud.iro.umontreal.ca/~petitg/cpp/makefile.html" class="urlextern" title="http://www-etud.iro.umontreal.ca/~petitg/cpp/makefile.html"  rel="nofollow">Here</a>.
</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Smart Makefile" [94-191] -->
<h2><a name="simple_makefile" id="simple_makefile">Simple Makefile</a></h2>
<div class="level2">

<p>

This assumes a program.cpp source file.
</p>
<pre class="code make">all<span class="sy0">:</span> program
	<span class="sy0">./</span><span class="re0">$&lt;</span>
	touch <span class="re0">$&lt;</span>
CXXFLAGS <span class="sy0">=</span> <span class="sy0">-</span>Wall</pre>

<p>
Usage:
</p>
<pre class="code bash">$ <span class="kw2">ls</span>
program.cpp makefile
$ <span class="kw2">make</span>
<span class="kw2">g++</span> <span class="re5">-Wall</span> <span class="re5">-o</span> program program.cpp
.<span class="sy0">/</span>program
<span class="kw2">touch</span> program
$ <span class="kw2">ls</span>
program program.cpp makefile
$ <span class="kw2">make</span>
.<span class="sy0">/</span>program
<span class="kw2">touch</span> program</pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Simple Makefile" [192-512] -->
<h2><a name="how_to_install_colormake" id="how_to_install_colormake">How to install colormake</a></h2>
<div class="level2">
<pre class="code bash">$ <span class="kw2">sudo</span> <span class="kw2">apt-get</span> <span class="kw2">install</span> colormake
$ <span class="kw3">cd</span> <span class="sy0">/</span>usr<span class="sy0">/</span>local<span class="sy0">/</span>bin
$ <span class="kw2">sudo</span> <span class="kw2">ln</span> <span class="re5">-s</span> <span class="sy0">/</span>usr<span class="sy0">/</span>bin<span class="sy0">/</span>colormake <span class="kw2">make</span></pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to install colormake" [513-661] -->
<h2><a name="how_to_access_an_index_of_a_list" id="how_to_access_an_index_of_a_list">How to access an index of a list</a></h2>
<div class="level2">
<pre class="code make">all<span class="sy0">:</span> prog1 prog2
  <span class="sy0">./</span><span class="re0">$&lt;</span>
  <span class="sy0">./$</span><span class="br0">&#40;</span><span class="re1">word</span> 2<span class="sy0">,</span> <span class="re0">$^</span><span class="br0">&#41;</span></pre>
<div class="tags"><span>
	<a href="/~kssilveira/site/doku.php?id=tag:programming&amp;do=showtag&amp;tag=tag%3Aprogramming" class="wikilink1" title="tag:programming" rel="tag">programming</a>
</span></div>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to access an index of a list" [662-] -->